Bug 495154 - SELinux alerts from DevKit-disks
SELinux alerts from DevKit-disks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 18:52 EDT by Hezekiah M. Carty
Modified: 2009-04-13 08:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 08:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux devkit 'read' deniel (3.27 KB, text/plain)
2009-04-11 07:50 EDT, Nikolay Vladimirov
no flags Details
selinux devkit 'getattr' deniel (3.00 KB, text/plain)
2009-04-11 07:52 EDT, Nikolay Vladimirov
no flags Details

  None (edit)
Description Hezekiah M. Carty 2009-04-09 18:52:08 EDT
Description of problem:
I am getting repeated SELinux alerts caused by DevKit-disks (according to setroubleshoot browser).  However, I don't seem to have a package installed by this name?  The alert is pasted below:


Summary:

SELinux is preventing devkit-disks-he (devicekit_disk_t) "sys_rawio"
devicekit_disk_t.

Detailed Description:

SELinux denied access requested by devkit-disks-he. It is not expected that this
access is required by devkit-disks-he and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023
Target Context                system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023
Target Objects                None [ capability ]
Source                        devkit-disks-he
Source Path                   /usr/libexec/devkit-disks-helper-ata-smart-collect
Port                          <Unknown>
Host                          fry
Source RPM Packages           DeviceKit-disks-004-0.4.20090406git.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.11-1.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     fry
Platform                      Linux fry 2.6.29.1-54.fc11.x86_64 #1 SMP Tue Apr 7
                              05:26:42 EDT 2009 x86_64 x86_64
Alert Count                   26
First Seen                    Tue 07 Apr 2009 03:29:15 PM EDT
Last Seen                     Thu 09 Apr 2009 06:23:09 PM EDT
Local ID                      6f922e43-f965-4c8c-81ee-932cb6a7f27b
Line Numbers                  

Raw Audit Messages            

node=fry type=AVC msg=audit(1239315789.64:31): avc:  denied  { sys_rawio } for  pid=3696 comm="devkit-disks-he" capability=17 scontext=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 tcontext=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 tclass=capability

node=fry type=SYSCALL msg=audit(1239315789.64:31): arch=c000003e syscall=16 success=yes exit=0 a0=3 a1=2285 a2=7fff7b58bfc0 a3=3 items=0 ppid=3071 pid=3696 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="devkit-disks-he" exe="/usr/libexec/devkit-disks-helper-ata-smart-collect" subj=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 key=(null)
Comment 1 David Zeuthen 2009-04-09 22:32:14 EDT
[...]
Comment 2 Nikolay Vladimirov 2009-04-11 07:50:59 EDT
Created attachment 339175 [details]
selinux devkit 'read' deniel

I get additional denials for 'read' and 'getattr' logs attached. 
This is at GNOME login. Clean Fedora 11 Beta installation updated to current rawhide.
Comment 3 Nikolay Vladimirov 2009-04-11 07:52:16 EDT
Created attachment 339176 [details]
selinux devkit 'getattr' deniel
Comment 4 Daniel Walsh 2009-04-13 08:13:59 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.12-3.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.